Description

The current Japanese translation for the word "tracker” is "II000". It is not a true translation but just an imitation of English
pronunciation of "tracker". So, most Japanese people cannot understand the word "00000" without someone's explanation.

I suggest changing "00000" to "000000" (means "issue type"). It is very clear and people can easily understand the use of trackers.

History

#1 - 2018-06-18 08:01 - Hirofumi Kadoya

+1

#2 - 2018-06-18 09:04 - Go MAEDA
- File trackers-index@2x.png added
- File issues-index@2x.png added

- File issues-edit@2x.png added

Here are some screenshots:
#3 - 2018-06-18 14:22 - Yuuki NARA

+1

| agree with this fix.

In Japanese, "00000" is not a general term, it does not understand intuitively what it means.
If it is "000000" (means "issue type") its meaning is easy to infer.

#4 - 2018-06-18 15:17 - Akipii Oga

+1
| also ageree.

#5 - 2018-06-18 15:28 - Masakazu 1ZUI

+1
Yes, | agree, too.

Documentations and manuals are to be changed, but it must progress the understandability of Japanese ordinary people.

#6 - 2018-06-18 15:44 - ryou soda

+1

| am also a Japanese. | think that this change is reasonable.

#7 - 2018-06-19 00:39 - Kohei Nakamura

+1

"The tracker" explained the kind of the form.
| thought that was troublesome every time.

#8 - 2018-06-19 01:26 - Mizuki ISHIKAWA

+1

#9 - 2018-06-19 03:57 - Takenori TAKAKI

+1
| also agree with this fix.

#10 - 2018-06-19 05:01 - beko akabeko

+1

I would like the unification of "Roadmap/I00000" and "Version/I0OO0" related to this issue.

#11 - 2018-06-19 06:06 - Goh Matsumoto

I agree that "00000" isn't well known in Japan
and many Japanese can't imagine the meanings.

But..

2025-05-02

2/7



What's the difference between the tracker and the category?
Does the tracker express the issue's type?

In my opinion, the tracker expresses workflow's name or type.

So, I suggest "000000" or "0OOOOOON".

On a separate note, | also think the workflow menu and the tracker menu shouldn't be divided.
#12 - 2018-06-19 08:06 - Masakazu IZUI
-> #29045-11

Workflows are set to every tracker, and, property-sets are also set to every tracker.
Thus, the name of tracker depends on which materials are to be enphasized for our users.

Most users are not very aware of workflows of tickets on making or editing them, but are aware of the property-sets.
Workflows are probably the second side of trackers, and property-sets are the primal options of them, | thought.

So, | prefer the name 000000, which means "issue type" implying property-sets, to 00000000 which means "workflow type".
#13 - 2018-06-19 08:42 - Go MAEDA
Goh Matsumoto wrote:
In my opinion, the tracker expresses workflow's name or type.
So, I suggest "000000" or "0000000D".
Thank you for your feedback. But | still prefer "000000" than "00000000". The reasons are as follows:
e A tracker defines not only workflow but also a set of fields. The word "I0000000" (workflow type) expresses only one of them and emphasizes
workflow too much. | think "000000" (issue type) includes both meanings.
« "00000000" (workflow type) is rather long. The tracker field will be wide when displaying issues list.
But | can agree with your opinion that it is a little bit difficult to distinguish "000000" (issue type) and "0000" (category) for users.

#14 - 2018-06-19 10:36 - Mitsuyoshi Kawabata

+1
| also think the change should be made because it is easier to understand.

#15 - 2018-06-19 16:34 - Tatsuya Saito

+1

#16 - 2018-06-19 19:17 - Yuuki NARA

I think that it is better for the Japanese display of Tracker to be unified by "100000" without mixing "000000" and "00".
The reason is as follows

In order not to be misunderstood, consistency of the terms is necessary.

"00" and "0000" are sometimes used in a close sense, so it is easy to misunderstand.

#17 - 2018-06-19 19:55 - Goh Matsumoto

It's right that fields depend on the tracker.

But | think first about the workflow when | add a new tracker.

| create new tracker when there is no appropriate workflow,

but | don't create only because the appropriate field set doesn't exists.

That's OK.
| understand.

it is a little bit difficult to distinguish "000000" (issue type) and "0000" (category) for users.

How do you explain the difference?
The answer may be one of better translations.
I can't discriminate "00" from "0" which category means...

#18 - 2018-06-20 10:09 - Go MAEDA
- File issues-edit-v2@2x.png added
https://www.redmine.org/issues/29045#note-11

- File ja_translation_change _tracker-v2.diff added

I have updated the patch. In the previous patch, | used "ll0" instead of "I00000" on some pages. The updated patch uses "000000" for all pages.

I think it can mitigate the confusion between "00" and "0000".

Previous patch:
#19 - 2018-06-21 01:59 - Masakazu 1ZUI
- File 180621_01_ss.jpg added

« How about "000" ...7

180621_01_ss.jpg

#20 - 2018-06-21 04:19 - Go MAEDA

Masakazu 1ZUl wrote:

e How about "000" ...2
Which "000" means trackers or categories?
#21 - 2018-06-21 09:51 - Go MAEDA
Yuuki NARA wrote:

I think that it is better for the Japanese display of Tracker to be unified by "100000" without mixing "000000" and "00".

Done in #29045#note-18.

#22 - 2018-06-21 11:52 - Masakazu I1ZUI
#29045-20

000" means categories, sorry.

#23 - 2018-06-26 14:34 - Masakazu IZUI

It whould be like "0".
"Category", as it is.

#- 00000000000000000000O00O000000D0DO
#- 00000000000000D000D

#24 - 2018-06-26 17:31 - Go MAEDA

Masakazu 1ZUl wrote:

It whould be like "".
"Category", as it is.

#- 000000000000000000O00O00000D0D00D
#- (000000000000DODOD

I think "0" is difficult to understand if the user is not a programmer. Maybe many people are not familiar with the concept of "" (type, class).
/* ja

000000ooobonnoonDnonno0noo0hOn0oonDo0no0n000DhO00O0nDo0hO0nD00DO0nO0DDo00aD

*/

#25 - 2018-06-30 06:52 - Toru Takahashi

| don't agree this translation proposal.

"tracker" contains the meaning of tracking the issue's status changes.

"0[shubetsu] aka type" does not contains.

Besides, the word "type" is very similar to the word "category".

It may be difficult to find a suitable japanese word for "tracker".

Until we find a suitable word to translate,
it is better to keep current translated word "00000[torakkaa] aka represents tracker's pronouciation”.

#26 - 2018-12-06 03:25 - ume san

| would like to leave tracker ( want to no change ). ( #29045-25 +1)

ia
"00000"0000000000000000 (#29045-25 0000OD)
[I[I[I[I[I[I"DI]DI]"[I[I[I[I[I"I]I]D[ID"D[I[ID[ID[I[ID[I[ID[I[IDDDDDDDDDDDDDDDDDDDDDDDDD

#27 - 2018-12-06 15:19 - ume san

| also thought about another.

In Japanese, ITS (Issue Tracking System) is often called "00000000(issue/problem management system)" / BTS (Bug Tracking System) is
*00000000(bug management system". In other words, "tracking” ~= "lll(management)". So, "tracker" ~= "0000(management type)" or
00000000 (ticket management type)".

#28 - 2018-12-06 22:40 - Yuuki NARA
https://www.redmine.org/issues/29045#note-18
https://www.redmine.org/issues/29045#note-20
https://www.redmine.org/issues/29045#note-25
https://www.redmine.org/issues/29045#note-25
https://blog.redmine.jp/articles/japanese-translation-of-the-word-issue/

The function of Redmine is flexible, and it can be used in various ways in a wide range.
However, because the names of each term are fixed, it is not suitable for individual use, and it may be difficult to use Redmine.

If we add a mechanism to overwrite the definitions of terms on Redmine administration screen,
It registers a YML file which overwrites only a part of terms,

| made following issue.

Make the terms overwrite from the Redmine administration screen.
http://www.redmine.org/issues/29164

#29 - 2018-12-18 01:50 - kaz k

I hope to keep the term "00000" as the translation of "tracker".
Reasons:

1. Many of alternative proposals (ideas) have their meanings or backgrounds, different from "tracker". It may make confusions.
2. The translation is better to be straight from original (or major (default) language), except for the case if the translated term is very difficult to
understand.
o If you want to search information related to "J0000" on the net other than Japanese, you could simply use "trackers" as the search string.
Many pages would be found written in English or some other languages.
Suppose if other term ( say "hogehoge" ) is used in Japanese edition for tracker, you must understand "hogehoge" is the local term for
"tracker" and search with "tracker". Otherwise, you could not find much information on the net ...
o "[I0000" is getting used common in Japanese in my point of view. ("000000" is more, I think.)

Thanks.

#30 - 2018-12-18 01:57 - Go MAEDA

There are considerable numbers of objections for the change. | don't think this change can be committed.

#31 - 2018-12-18 17:06 - Kuniharu AKAHANE

--- Japanese Part ---

« (00000
Redmine(l0000+1000000000000000000000000000000001ssue Tracking
Systeml]l]l]l]l]l]l]l]l]Redmme[ll]l]l]DDDDDDDDDDD1400|]DDI]I]DDI]I]300I]I]I]I]I]I]I]4OI]DI]I]DDI]I]DDDDDDDD70DDDDDDD/DDDDD Q00oonooona o

« 00
0000000000000000
000000oDooooDoDoDoDODoDODOonoDODoDoDOnaDaD00DODODg

« 00
Redminel0000000000000000000000000000000000000000COCOC0OD
00000000000000000000000000000000000000000000000000000000000a
H[I[I[I[I[II]I]I]I]I]I]I]I]I]I]I]I]I]I]I]I]I]I]I]I][I[I[I[I[II]I]I]I]I]I]I]I]I]I]I]I]I]I]I]I]
Redmine 0000 Issue Trackerl0000000000000000000000000Ts0000000000000000000000D00G
000000000O00ononoDoDonononon00n0DoDoDononaDaD0000DnoDnaDg

0
0000Redmine000000000000D 1ssue Tracker 100000000000000000000000000000000D0DODODODOODODODD

--- English Part ---
o

¢ My back ground
| have been using Redmine for 10 years and use Redmine as a Issue Tracking System for enterprise software systems and hardware device
R&D knowledge-base at manufacturing company in japan.There are 1,400 Redmine users world-wide, 400,000 issues on 300 projects and
700,000 page-views per one month.

e Opinion
I do not agree with the proposed translation, Tracker as '000000".
The translated word of 'Tracker' should be kept as 'I0000", or could be changed to ‘000000 (means Issue tracking pattern) in Japanese.

¢ Reason
IMHO, the core value of Redmine is the Issue Tracking System with strategic tracking patterns.
The key factor, complicated issue can be solved or not , is selection of strategy.
In the context of the Issue Tracking System, strategy is issue tracker, and each tracker has pattern and flow.
The strategy which should be chose is different, because every project has it's own field and objective. That's why Redmine projects can make a
choice of trackers.

So, translated field name of issue tracker in Japanese should have the particular specialties such as generalized designs, tracking strategies,
patterns and flows.
http://www.redmine.org/issues/29164
https://www.ipa.go.jp/sec/old/seminar/20170318.html

#32 - 2024-01-21 13:02 - Go MAEDA

- Status changed from New to Closed

| withdraw this proposal.
